# This file was automatically generated by Znake
try:
    import fastentrypoints
except ImportError as e:
    pass
from setuptools import setup, find_packages

try:
    from znake.version import (
        __version__,
        deb_package_name,
        description,
        long_description,
        maintainer,
        maintainer_email)
except ImportError:
    __version__ = '0.0.0'
    deb_package_name = 'unknown'
    description = 'unknown'
    long_description = 'unknown'
    maintainer = 'unknown'
    maintainer_email = 'unknown'

setup(
    name=deb_package_name,
    version=__version__,

    description=description,
    long_description=long_description,

    maintainer=maintainer,
    maintainer_email=maintainer_email,

    license='Apache License 2.0',

    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Build Tools',
        'License :: OSI Approved :: Apache Software License',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],

    keywords='znake python',

    packages=find_packages(exclude=['*.test', '*.test.*', 'test.*', 'systest', 'systest.*', 'example', 'example.*', ]),

    install_requires=[
        'coloredlogs',
        'fastentrypoints',
        'flake8-blind-except',
        'flake8-class-newline',
        'flake8-comprehensions',
        'flake8-deprecated',
        'flake8-pep3101',
        'flake8-quotes',
        'flake8-string-format',
        'flake8',
        'flake8_tuple',
        'glob2',
        'invoke',
        'isort',
        'jinja2',
        'pydocstyle',
        'sphinx-rtd-theme',
        'Sphinx',
        'sphinxcontrib-plantuml',
        'sphinxprettysearchresults',
        'yapf',
    ],

    entry_points={
        'console_scripts': [
            'znake = znake.__main__:main',
        ],
    },

    package_data={
        'znake': ['data/*'],
    },

)